QGIS Application - Bug report #10873
Select by location: does not work as expected
2014-07-11 12:37 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19241
Description

The option "adding to current selection" does not work.

Also "create new selection” does not work if there is already a selection.

Associated revisions

Revision 8502d11f - 2014-09-15 10:38 AM - Alexander Bruy

[processing] remove selection before running Select by location algorithm (fix #10873)

History

#1 - 2014-07-11 02:27 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application

- Category deleted (61)

- Affected QGIS version set to 2.4.0

#2 - 2014-07-11 02:29 AM - Giovanni Manghi

- Category set to 94

- Subject changed from Select by location: "adding to current selection" does not work to Select by location: does not work as expected
#3 - 2014-09-14 04:51 AM - Alexander Bruy

This is because Processing considers existing selection in input layers. If there is a selection, only this selected features will be processed.

Possible workaround for this — forcing selection removal inside algorithm, so this algorithm will clear selection before processing.

#4 - 2014-09-14 12:22 PM - Victor Olaya

That seems to be a design error in the algorithm. These selection algs should not use only the selction, but the whole layer

#5 - 2014-09-15 01:39 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"8502d11f11605225cad8b0eedba2celeff14ee75".
#6 - 2014-09-15 01:40 AM - Alexander Bruy
- Resolution set to fixed/implemented

#7 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
